ClarisWksPresentation Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ClarisWksPresentation Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksPresentation.hxx>`

## Public Member Functions
| ClarisWksPresentation (ClarisWksDocument &document)
| constructor More...
virtual | ~ClarisWksPresentation ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
bool | updatePageSpanList (MWAWPageSpan const &page, std::vector< MWAWPageSpan > &spanList)
| updates the page span list and returns true if this is possible More...
shared_ptr< ClarisWksStruct::DSET > | readPresentationZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone presentation DSET More...
void | updateSlideTypes () const
| update the slide zone types More...
void | disconnectMasterFromContents () const
| disconnect the master zone to the content zones More...

## Protected Member Functions
bool | sendMaster ()
| sends the master zone (ie. the background zone) More...
bool | sendZone (int number)
| sends the zone data to the listener (if it exists ) More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | askToSend (int number)
| ask the main parser to send a zone More...
bool | readZone1 (ClarisWksPresentationInternal::Presentation &pres)
| try to read the first presentation zone ( the slide name ? ) More...
bool | readZone2 (ClarisWksPresentationInternal::Presentation &pres)
| try to read the second presentation zone ( title ) More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ClarisWksPresentationInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ClarisWksPresentation (ClarisWksPresentation const &orig)
ClarisWksPresentation & | operator= (ClarisWksPresentation const &orig)

## Friends
class | ClarisWksDocument
class | ClarisWksPRParser
class | ClarisWksPresentationInternal::SubDocument

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ◆ ClarisWksPresentation() [1/2]

ClarisWksPresentation::ClarisWksPresentation | ( | ClarisWksDocument & | document | ) |
| explicit

constructor

## ◆ ~ClarisWksPresentation()

ClarisWksPresentation::~ClarisWksPresentation | ( |  | ) |
| virtual

destructor

## ◆ ClarisWksPresentation() [2/2]

ClarisWksPresentation::ClarisWksPresentation | ( | ClarisWksPresentation const & | orig | ) |
| private

## Member Function Documentation

## ◆ askToSend()

void ClarisWksPresentation::askToSend | ( | int | number | ) |
| protected

ask the main parser to send a zone

## ◆ disconnectMasterFromContents()

void ClarisWksPresentation::disconnectMasterFromContents | ( |  | ) | const

disconnect the master zone to the content zones

## ◆ flushExtra()

void ClarisWksPresentation::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int ClarisWksPresentation::numPages | ( |  | ) | const

returns the number of pages

Referenced by updatePageSpanList().

## ◆ operator=()

ClarisWksPresentation& ClarisWksPresentation::operator= | ( | ClarisWksPresentation const & | orig | ) |
| private

## ◆ readPresentationZone()

shared_ptr< ClarisWksStruct::DSET > ClarisWksPresentation::readPresentationZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone presentation DSET

Referenced by disconnectMasterFromContents().

## ◆ readZone1()

bool ClarisWksPresentation::readZone1 | ( | ClarisWksPresentationInternal::Presentation & | pres | ) |
| protected

try to read the first presentation zone ( the slide name ? )

Referenced by readPresentationZone().

## ◆ readZone2()

bool ClarisWksPresentation::readZone2 | ( | ClarisWksPresentationInternal::Presentation & | pres | ) |
| protected

try to read the second presentation zone ( title )

Referenced by readPresentationZone().

## ◆ sendMaster()

bool ClarisWksPresentation::sendMaster | ( |  | ) |
| protected

sends the master zone (ie. the background zone)

## ◆ sendZone()

bool ClarisWksPresentation::sendZone | ( | int | number | ) |
| protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

## ◆ updatePageSpanList()

bool ClarisWksPresentation::updatePageSpanList | ( | MWAWPageSpan const & | page,
|  | std::vector< MWAWPageSpan > & | spanList
| ) |  |

updates the page span list and returns true if this is possible

## ◆ updateSlideTypes()

void ClarisWksPresentation::updateSlideTypes | ( |  | ) | const

update the slide zone types

## ◆ version()

int ClarisWksPresentation::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ ClarisWksDocument

friend class ClarisWksDocument
| friend

## ◆ ClarisWksPresentationInternal::SubDocument

friend class ClarisWksPresentationInternal::SubDocument
| friend

## ◆ ClarisWksPRParser

friend class ClarisWksPRParser
| friend

## Member Data Documentation

## ◆ m_document

ClarisWksDocument& ClarisWksPresentation::m_document
| protected

the document

Referenced by askToSend(), disconnectMasterFromContents(), sendMaster(), sendZone(), and updateSlideTypes().

## ◆ m_mainParser

MWAWParser* ClarisWksPresentation::m_mainParser
| protected

the main parser;

## ◆ m_parserState

MWAWParserStatePtr ClarisWksPresentation::m_parserState
| protected

the parser state

Referenced by flushExtra(), numPages(), readPresentationZone(), readZone1(), readZone2(), sendZone(), and version().

## ◆ m_state

shared_ptr<ClarisWksPresentationInternal::State> ClarisWksPresentation::m_state
| protected

the state

Referenced by disconnectMasterFromContents(), flushExtra(), numPages(), readPresentationZone(), sendMaster(), sendZone(), updatePageSpanList(), and updateSlideTypes().

The documentation for this class was generated from the following files:

- ClarisWksPresentation.hxx
- ClarisWksPresentation.cxx